;
{
  try {
    let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "beb47018-3fe1-48aa-ac05-b274456d583a", e._sentryDebugIdIdentifier = "sentry-dbid-beb47018-3fe1-48aa-ac05-b274456d583a");
  } catch (e) {
  }
}
;
const filterProblemsByTaskForms = (entityProblems, forms) => {
  if (!entityProblems?.verificationErrors) return entityProblems;
  const filteredEntityProblems = Object.entries(entityProblems.verificationErrors).reduce(
    (acc, [formId, verificationErrors]) => {
      if (!forms.includes(formId)) return acc;
      return {
        ...entityProblems,
        verificationErrors: {
          ...acc.verificationErrors,
          [formId]: verificationErrors
        }
      };
    },
    {}
  );
  filteredEntityProblems.verificationErrors = Object.keys(filteredEntityProblems.verificationErrors ?? {}).length > 0 ? filteredEntityProblems.verificationErrors : void 0;
  return filteredEntityProblems;
};
export {
  filterProblemsByTaskForms as f
};
